通过


你当前正在访问 Microsoft Azure Global Edition 技术文档网站。 如果需要访问由世纪互联运营的 Microsoft Azure 中国技术文档网站,请访问 https://docs.azure.cn

Encryption Protectors - Get

获取服务器加密保护程序。

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/encryptionProtector/current?api-version=2025-01-01

URI 参数

名称 必需 类型 说明
encryptionProtectorName
path True

EncryptionProtectorName

要检索的加密保护程序的名称。

resourceGroupName
path True

string

minLength: 1
maxLength: 90

资源组的名称。 此名称不区分大小写。

serverName
path True

string

服务器的名称。

subscriptionId
path True

string (uuid)

目标订阅的 ID。 该值必须是 UUID。

api-version
query True

string

minLength: 1

用于此作的 API 版本。

响应

名称 类型 说明
200 OK

EncryptionProtector

Azure 运营顺利完成。

Other Status Codes

ErrorResponse

意外的错误响应。

安全性

azure_auth

Azure Active Directory OAuth2 Flow.

类型: oauth2
流向: implicit
授权 URL: https://login.microsoftonline.com/common/oauth2/authorize

作用域

名称 说明
user_impersonation 模拟用户帐户

示例

Get the encryption protector
Get the encryption protector with versionless key

Get the encryption protector

示例请求

GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-7398/providers/Microsoft.Sql/servers/sqlcrudtest-4645/encryptionProtector/current?api-version=2025-01-01

示例响应

{
  "name": "current",
  "type": "Microsoft.Sql/servers/encryptionProtector",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-7398/providers/Microsoft.Sql/servers/sqlcrudtest-4645/encryptionProtector/current",
  "kind": "azurekeyvault",
  "location": "Japan East",
  "properties": {
    "autoRotationEnabled": false,
    "serverKeyName": "someVault_someKey_01234567890123456789012345678901",
    "serverKeyType": "AzureKeyVault",
    "uri": "https://someVault.vault.azure.net/keys/someKey/01234567890123456789012345678901"
  }
}

Get the encryption protector with versionless key

示例请求

GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-7398/providers/Microsoft.Sql/servers/sqlcrudtest-4645/encryptionProtector/current?api-version=2025-01-01

示例响应

{
  "name": "current",
  "type": "Microsoft.Sql/servers/encryptionProtector",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-7398/providers/Microsoft.Sql/servers/sqlcrudtest-4645/encryptionProtector/current",
  "kind": "azurekeyvault",
  "location": "Japan East",
  "properties": {
    "autoRotationEnabled": false,
    "keyVersion": "01234567890123456789012345678901",
    "serverKeyName": "someVault_someKey",
    "serverKeyType": "AzureKeyVault",
    "uri": "https://someVault.vault.azure.net/keys/someKey"
  }
}

定义

名称 说明
createdByType

创建资源的标识的类型。

EncryptionProtector

服务器加密保护程序。

EncryptionProtectorName
ErrorAdditionalInfo

资源管理错误附加信息。

ErrorDetail

错误详细信息。

ErrorResponse

错误响应

ServerKeyType

加密保护程序类型,例如“ServiceManaged”、“AzureKeyVault”。

systemData

与创建和上次修改资源相关的元数据。

createdByType

创建资源的标识的类型。

说明
User
Application
ManagedIdentity
Key

EncryptionProtector

服务器加密保护程序。

名称 类型 说明
id

string (arm-id)

资源的完全限定资源 ID。 例如,“/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}”

kind

string

加密保护程序的类型。 这是用于Azure门户体验的元数据。

location

string

资源位置。

name

string

资源的名称

properties.autoRotationEnabled

boolean

密钥自动轮换选择加入标志。 true 或 false。

properties.keyVersion

string

用作加密保护器的服务器密钥的版本

properties.serverKeyName

string

服务器密钥的名称。

properties.serverKeyType

ServerKeyType

加密保护程序类型,例如“ServiceManaged”、“AzureKeyVault”。

properties.subregion

string

加密保护器的子区域。

properties.thumbprint

string

服务器密钥的指纹。

properties.uri

string

服务器密钥的 URI。

systemData

systemData

Azure 资源管理器 包含 createdBy 和 modifiedBy 信息的元数据。

type

string

资源类型。 例如,“Microsoft。计算/虚拟机“或”Microsoft“。存储/存储账户”

EncryptionProtectorName

说明
current

当前

ErrorAdditionalInfo

资源管理错误附加信息。

名称 类型 说明
info

object

附加信息。

type

string

附加信息类型。

ErrorDetail

错误详细信息。

名称 类型 说明
additionalInfo

ErrorAdditionalInfo[]

错误附加信息。

code

string

错误代码。

details

ErrorDetail[]

错误详细信息。

message

string

错误消息。

target

string

错误目标。

ErrorResponse

错误响应

名称 类型 说明
error

ErrorDetail

错误对象。

ServerKeyType

加密保护程序类型,例如“ServiceManaged”、“AzureKeyVault”。

说明
ServiceManaged

ServiceManaged

AzureKeyVault

AzureKeyVault

systemData

与创建和上次修改资源相关的元数据。

名称 类型 说明
createdAt

string (date-time)

资源创建时间戳(UTC)。

createdBy

string

创建资源的标识。

createdByType

createdByType

创建资源的标识的类型。

lastModifiedAt

string (date-time)

资源上次修改的时间戳 (UTC)

lastModifiedBy

string

上次修改资源的标识。

lastModifiedByType

createdByType

上次修改资源的标识的类型。